From 4a5e7b6bd1a887f67b9b9ec8115250fc92c741ca Mon Sep 17 00:00:00 2001
From: Roman Kyrylych <roman@archlinux.org>
Date: Wed, 31 Oct 2007 18:41:17 +0200
Subject: Add support for arch='any'

Signed-off-by: Roman Kyrylych <roman@archlinux.org>
Signed-off-by: Dan McGee <dan@archlinux.org>
---
 scripts/gensync.sh.in    | 3 +++
 scripts/makepkg.sh.in    | 4 ++++
 scripts/updatesync.sh.in | 3 +++
 3 files changed, 10 insertions(+)

(limited to 'scripts')

diff --git a/scripts/gensync.sh.in b/scripts/gensync.sh.in
index d98915f4..8109fe22 100644
--- a/scripts/gensync.sh.in
+++ b/scripts/gensync.sh.in
@@ -129,6 +129,9 @@ for file in $(find "$rootdir"/* -name "$BUILDSCRIPT"); do
 	unset pkgname pkgver pkgrel options
 
 	source $file || die "$(gettext "failed to parse parse %s")" $file
+	if [ "$arch" = 'any' ]; then
+		CARCH='any'
+	fi
 	if [ "$pkgdir" != "" ]; then
 		pkgfile="$pkgdir/$pkgname-$pkgver-$pkgrel-$CARCH.$PKGEXT"
 	else
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index 831c1bda..e23484ea 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -1300,6 +1300,10 @@ if [ $(echo "$pkgrel" | grep '-') ]; then
 	exit 1
 fi
 
+if [ "$arch" = 'any' ]; then
+	CARCH='any'
+fi
+
 if ! in_array $CARCH ${arch[@]}; then
 	if [ "$IGNOREARCH" = "0" ]; then
 		error "$(gettext "%s is not available for the '%s' architecture.")" "$pkgname" "$CARCH"
diff --git a/scripts/updatesync.sh.in b/scripts/updatesync.sh.in
index 7f6636cc..57bd39cb 100644
--- a/scripts/updatesync.sh.in
+++ b/scripts/updatesync.sh.in
@@ -127,6 +127,9 @@ if [ "$action" = "upd" ]; then # INSERT / UPDATE
 	unset pkgname pkgver pkgrel options
 
 	source $option || die "$(gettext "failed to parse %s")" $option
+	if [ "$arch" = 'any' ]; then
+		CARCH='any'
+	fi
 	pkgfile="$pkgdir/$pkgname-$pkgver-$pkgrel-$CARCH.$PKGEXT"
 
 	if [ ! -f "$pkgfile" ]; then
-- 
cgit v1.2.3-70-g09d2